Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
docker-compose [Le 09/05/2022, 11:43]
bcag2 ajout §[Problème]
docker-compose [Le 27/05/2022, 11:46] (Version actuelle)
bcag2 [Avec le binaire] mise à jour
Ligne 25: Ligne 25:
 puis le rendre exécutable : puis le rendre exécutable :
 <code bash> <code bash>
-sudo chown +x /​usr/​local/​bin/​docker-compose+sudo chmod +x /​usr/​local/​bin/​docker-compose
 </​code>​ </​code>​
 Vérifier que docker-compose s'​appelle correctement : Vérifier que docker-compose s'​appelle correctement :
Ligne 32: Ligne 32:
 # qui doit retourné une ligne du type : # qui doit retourné une ligne du type :
 Docker Compose version v2.2.3 Docker Compose version v2.2.3
 +</​code>​
 +Ces commandes toutes en un pour la mise à jour sur un serveur donne ((ne le faites sur un serveur en //​production//​ que si vous êtes sûr de ce que vous faites)) :
 +<code bash>
 +wget https://​github.com/​docker/​compose/​releases/​download/​v2.2.3/​docker-compose-linux-x86_64 && sudo mv docker-compose-linux-x86_64 /​usr/​local/​bin/​docker-compose && sudo chmod +x /​usr/​local/​bin/​docker-compose && docker-compose --version
 </​code>​ </​code>​
  
-Sous [[:​bionic]],​ la version de docker depuis les dépôt officiels est, en ce mois de mars 2022, la v19.03.13 qui est compatible avec docker-compose v2 +<​note>​ 
 +La mise à jour peut-être faite alors que des containers tournent.\\ 
 +Sous [[:​bionic]],​ la version de docker depuis les dépôt officiels est, en mars 2022, la v19.03.13 qui est compatible avec docker-compose v2 
 +</​note>​
 ===== Problèmes ===== ===== Problèmes =====
 Si un docker-compose retourne l'​erreur : Si un docker-compose retourne l'​erreur :
  • docker-compose.1652089415.txt.gz
  • Dernière modification: Le 09/05/2022, 11:43
  • par bcag2